Package org.eclipse.gef

# Class GEF

java.lang.Object
org.eclipse.gef.GEF

@Deprecated public final class GEF extends Object
Deprecated.
in 3.1 This class will be removed in future releases.
This is an internal class used for debugging

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`DebugDND`
Deprecated.
`static boolean`
`DebugEditParts`
Deprecated.
`static boolean`
`DebugEvents`
Deprecated.
`static boolean`
`DebugFeedback`
Deprecated.
`static boolean`
`DebugPainting`
Deprecated.
`static boolean`
`DebugTools`
Deprecated.
`static boolean`
`DebugToolStates`
Deprecated.
`static boolean`
`GlobalDebug`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`GEF()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static void`
`clearConsole()`
Deprecated.
`static void`
`debug(String message)`
Deprecated.
`static void`
`debugPop()`
Deprecated.
`static void`
`debugPush(String heading)`
Deprecated.
`static void`
`setConsole(Text textBox)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DebugTools

@Deprecated public static boolean DebugTools
Deprecated.

### DebugEvents

@Deprecated public static boolean DebugEvents
Deprecated.

### DebugEditParts

@Deprecated public static boolean DebugEditParts
Deprecated.

### DebugPainting

@Deprecated public static boolean DebugPainting
Deprecated.

### DebugFeedback

@Deprecated public static boolean DebugFeedback
Deprecated.

### GlobalDebug

@Deprecated public static boolean GlobalDebug
Deprecated.

### DebugToolStates

@Deprecated public static boolean DebugToolStates
Deprecated.

### DebugDND

@Deprecated public static boolean DebugDND
Deprecated.

## Constructor Details

### GEF

public GEF()
Deprecated.

## Method Details

### clearConsole

@Deprecated public static void clearConsole()
Deprecated.
Clears the trace console if active

Since:
  1.0

### setConsole

@Deprecated public static void setConsole(Text textBox)
Deprecated.
Sets a text control to be used as a console.

Parameters:
  `textBox` - the text control for streaming
Since:
  1.0

### debugPop

@Deprecated public static void debugPop()
Deprecated.
decrements the tracing indentation

Since:
  2.0

### debugPush

@Deprecated public static void debugPush(String heading)
Deprecated.
Prints the given string to a trace window and increments indentation.

Parameters:
  `heading` - the message describing the indented text to follow
Since:
  2.0

### debug

@Deprecated public static void debug(String message)
Deprecated.
Prints the given message to a trace window if available.

Parameters:
  `message` - a debug message
Since:
  1.0